WPSBorder Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WPSBorder Struct Reference

a border list More...

`#include <libwps_internal.h>`

## Public Types
enum | Style { None, Single, Double, Dot, LargeDot, Dash }
enum | Pos { Left = 0, Right = 1, Top = 2, Bottom = 3 }
enum | { LeftBit = 0x01, RightBit = 0x02, TopBit =0x4, BottomBit = 0x08 }

## Public Member Functions
| WPSBorder ()
| constructor More...
std::string | getPropertyValue () const
| return the properties More...
bool | operator== (WPSBorder const &orig) const
| operator== More...
bool | operator!= (WPSBorder const &orig) const
| operator!= More...
int | compare (WPSBorder const &orig) const
| compare two cell More...

## Public Attributes
Style | m_style
| the border style More...
int | m_width
| the border width More...
uint32_t | m_color
| the border color More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSBorder const &border)
| operator<<: prints data in form "XxY" More...

## Detailed Description

a border list

## Member Enumeration Documentation

anonymous enum

Enumerator
LeftBit |
RightBit |
TopBit |
BottomBit |

enum WPSBorder::Pos

Enumerator
Left |
Right |
Top |
Bottom |

enum WPSBorder::Style

Enumerator
None |
Single |
Double |
Dot |
LargeDot |
Dash |

## Constructor & Destructor Documentation

WPSBorder::WPSBorder | ( |  | ) |
| inline

constructor

## Member Function Documentation

int WPSBorder::compare | ( | WPSBorder const & | orig | ) | const

compare two cell

std::string WPSBorder::getPropertyValue | ( |  | ) | const

return the properties

Referenced by WPSParagraph::addTo().

bool WPSBorder::operator!= | ( | WPSBorder const & | orig | ) | const
| inline

operator!=

bool WPSBorder::operator== | ( | WPSBorder const & | orig | ) | const
| inline

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSBorder const & | border
| ) |  |
| friend

operator<<: prints data in form "XxY"

## Member Data Documentation

uint32_t WPSBorder::m_color

the border color

Referenced by compare(), getPropertyValue(), operator<<(), operator==(), WPS8Table::readMCLD(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and WKS4Spreadsheet::readStyle().

Style WPSBorder::m_style

the border style

Referenced by WPSParagraph::addTo(), WPS8TableInternal::Cell::Cell(), compare(), getPropertyValue(), operator<<(), operator==(), WPS8Table::readMCLD(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), WKS4Spreadsheet::readStyle(), and WPSCellFormat::setBorders().

int WPSBorder::m_width

the border width

Referenced by compare(), getPropertyValue(), operator<<(), operator==(), WPS8TextStyle::readParagraph(), WPS4Text::readParagraph(), and WKS4Spreadsheet::readStyle().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp